Package org.sunflow.core

# Class ShadingCache

java.lang.Object
org.sunflow.core.ShadingCache

public class ShadingCache extends Object

## Constructor Summary

Constructors
Constructor
Description
`ShadingCache()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(ShadingState state, Shader shader, Color c)`
`Color`
`lookup(ShadingState state, Shader shader)`
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShadingCache

public ShadingCache()

## Method Details

### reset

public void reset()

### lookup

public Color lookup(ShadingState state, Shader shader)

### add

public void add(ShadingState state, Shader shader, Color c)